summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util/google-perftools/google-perftools-2.5.ebuild')
-rw-r--r--dev-util/google-perftools/google-perftools-2.5.ebuild15
1 files changed, 11 insertions, 4 deletions
diff --git a/dev-util/google-perftools/google-perftools-2.5.ebuild b/dev-util/google-perftools/google-perftools-2.5.ebuild
index bb3355a61db..3229577d238 100644
--- a/dev-util/google-perftools/google-perftools-2.5.ebuild
+++ b/dev-util/google-perftools/google-perftools-2.5.ebuild
@@ -72,8 +72,15 @@ src_test() {
autotools-multilib_src_test
}
-# abi_x86_x32 forces minimal, which installs fewer headers
-# so override the header check with a no-op
-multilib_check_headers() {
- :
+src_install() {
+ if ! use minimal && has x32 ${MULTILIB_ABIS}; then
+ MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/gperftools/heap-checker.h
+ /usr/include/gperftools/heap-profiler.h
+ /usr/include/gperftools/stacktrace.h
+ /usr/include/gperftools/profiler.h
+ )
+ fi
+
+ autotools-multilib_src_install
}